Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets
Class WindowMgr

    java.lang.Object
      com.gwtext.client.widgets.WindowMgr

    public class WindowMgr

extends java.lang.Object

The default global window group that is available automatically. To have more than one group of windows with separate z-order stacks, create additional instances of WindowGroup as needed.

Constructor Summary
`WindowMgr()`

Method Summary
`static void` | `bringToFront(java.lang.String windowID)` Brings the specified window to the front of any other active windows.
`static void` | `bringToFront(Window window)` Brings the specified window to the front of any other active windows.
`static void` | `each(ComponentTraversalCallback cb)` Executes the specified function once for every window in the group, passing each window as the only parameter.
`Window[]` | `findBy(ComponentTraversalCallback cb)` Returns zero or more windows in the group using the custom search function passed to this method.
`static Window` | `get(java.lang.String id)` Gets a registered window by id.
`static Window` | `getActive()` Gets the currently-active window in the group.
`static void` | `hideAll()` Hides all windows in the group.
`static void` | `sendToBack(java.lang.String windowID)` Sends the specified window to the back of other active windows.
`static void` | `sendToBack(Window window)` Sends the specified window to the back of other active windows.
`static void` | `setZseed(int zseed)` The starting z-index for windows (defaults to 9000).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WindowMgr

    public WindowMgr()

Method Detail

### bringToFront

    public static void bringToFront(java.lang.String windowID)

  Brings the specified window to the front of any other active windows.

  Parameters:
    `windowID` - the window ID

### bringToFront

    public static void bringToFront(Window window)

  Brings the specified window to the front of any other active windows.

  Parameters:
    `window` - the window

### each

    public static void each(ComponentTraversalCallback cb)

  Executes the specified function once for every window in the group, passing each window as the only parameter. Returning false from the function will stop the iteration.

  Parameters:
    `cb` - the traversal callback function

### get

    public static Window get(java.lang.String id)

  Gets a registered window by id.

  Parameters:
    `id` - the window ID
  Returns:
    the window or null if not found

### getActive

    public static Window getActive()

  Gets the currently-active window in the group.

  Returns:
    the window or null if not found

### findBy

    public Window[] findBy(ComponentTraversalCallback cb)

  Returns zero or more windows in the group using the custom search function passed to this method. The function should accept a single Ext.Window reference as its only argument and should return true if the window matches the search criteria, otherwise it should return false.

  Parameters:
    `cb` - the callback
  Returns:
    an array of windows

### hideAll

    public static void hideAll()

  Hides all windows in the group.

### sendToBack

    public static void sendToBack(java.lang.String windowID)

  Sends the specified window to the back of other active windows.

  Parameters:
    `windowID` - the window ID

### sendToBack

    public static void sendToBack(Window window)

  Sends the specified window to the back of other active windows.

  Parameters:
    `window` - the window

### setZseed

    public static void setZseed(int zseed)

  The starting z-index for windows (defaults to 9000).

  Parameters:
    `zseed` - the zseed

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD